--AH:ScriptId=8d1f4db0-a9c3-4da2-a45a-30f91dc94968;2966
ALTER TABLE [Privileges] DROP CONSTRAINT [UQ__Privileges]

ALTER TABLE [Privileges] ADD  CONSTRAINT [UQ__Privileges] 
UNIQUE ([Principal_Name], [PrincipalType_Code], [Role_Id], [Environment_Id]) 



UPDATE [Roles]
   SET [Role_Name] = CASE [Role_Name] 
                     WHEN 'Administrator' THEN 'Administer'
                     WHEN 'Configurer' THEN 'Configure Environment'
                     WHEN 'Orchestrator' THEN 'Orchestrate'
                     WHEN 'Viewer' THEN 'View Environment'
                     ELSE [Role_Name] END
 FROM [Roles]

ALTER TABLE [Roles]
  ADD [Role_Description] VARCHAR(MAX) NULL,
      [EnvironmentScopable_Indicator] YNINDICATOR NULL
GO

UPDATE [Roles]
   SET [EnvironmentScopable_Indicator] = CASE [Role_Name] 
                     WHEN 'Configure Environment' THEN 'Y'
                     WHEN 'View Environment' THEN 'Y'
                     ELSE 'N' END

ALTER TABLE [Roles]
  ALTER COLUMN [EnvironmentScopable_Indicator] YNINDICATOR NOT NULL

ALTER TABLE [Roles]
  ALTER COLUMN [Role_Name] NVARCHAR(50) NOT NULL



UPDATE [Roles]
   SET [Role_Description] = CASE [Role_Name] 
                     WHEN 'Administer' THEN 'Allows unrestricted access to all functionality within Otter.'
                     WHEN 'Orchestrate' THEN 'Allows access to all functions of Otter, including defining servers and environments, with the exception of administering Otter (users, passwords, privileges, etc).'
                     WHEN 'Configure Environment' THEN 'Allows defining and managing of pre-defined servers and their configuration plans.'
                     WHEN 'View Environment' THEN 'Allows view-only access to all non-sensitve ares '
                     ELSE NULL END
 FROM [Roles]

UPDATE [Tasks]
 SET [EnvironmentScopable_Indicator] = 'Y'
WHERE [Task_Name] IN ('Assets_Manage','Assets_View')