EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Executions_GetExecutionsToExecute',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Executions_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Returns executions which are ready to be started by the executer.'
GO

IF OBJECT_ID('[Executions_GetExecutionsToExecute]') IS NOT NULL DROP PROCEDURE [Executions_GetExecutionsToExecute]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Executions_GetExecutionsToExecute]
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [Executions_Extended]
	 WHERE [ExecutionRunState_Code] = 'P'
	   AND ([Start_Date] < GETUTCDATE()
        OR [CanceledOn_Date] IS NOT NULL)

END
GO

GRANT EXECUTE ON [Executions_GetExecutionsToExecute] TO [OtterUser_Role]
GO