EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Schedules_DeleteSchedule',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes the specified schedule and all jobs associated with it.'
GO


IF OBJECT_ID('[Schedules_DeleteSchedule]') IS NOT NULL DROP PROCEDURE [Schedules_DeleteSchedule]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Schedules_DeleteSchedule]
(
    @Schedule_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DELETE [Jobs] WHERE [Schedule_Id] = @Schedule_Id

	DELETE [Schedules] WHERE  [Schedule_Id] = @Schedule_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH


END
GO

GRANT EXECUTE ON [Schedules_DeleteSchedule] TO [OtterUser_Role]
