EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Servers_UpdateServerStatus',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Updates a server''s agent''s status.'
GO


IF OBJECT_ID('[Servers_UpdateServerStatus]') IS NOT NULL DROP PROCEDURE [Servers_UpdateServerStatus]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Servers_UpdateServerStatus]
(
    @Server_Id INT,
    @ServerStatus_Code CHAR(5),
	@Agent_Version VARCHAR(20) = NULL
)
AS
BEGIN

SET NOCOUNT ON
	
    UPDATE [Servers]
	   SET [ServerStatus_Code] = COALESCE(@ServerStatus_Code, [ServerStatus_Code]),
	       [Agent_Version] = COALESCE(@Agent_Version, [Agent_Version])
	 WHERE [Server_Id] = @Server_Id

END
GO

GRANT EXECUTE ON [Servers_UpdateServerStatus] TO [OtterUser_Role]
