EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Users_GetUsersInGroup',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Users',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a list of users in the specified group'
GO

IF OBJECT_ID('[dbo].[Users_GetUsersInGroup]') IS NOT NULL
	DROP PROCEDURE [dbo].[Users_GetUsersInGroup]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[Users_GetUsersInGroup]
(
    @Group_Name VARCHAR(50)
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT U.*
	  FROM [UserGroups] UG
	INNER JOIN [Users] U ON UG.[User_Name] = U.[User_Name]
	WHERE [Group_Name] = @Group_Name
	ORDER BY [User_Name]

END
GO

GRANT EXECUTE ON [dbo].[Users_GetUsersInGroup] TO [OtterUser_Role]
GO
